org.h2.jdbc

## Class JdbcBatchUpdateException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.sql.SQLException
      - - java.sql.BatchUpdateException
        - - org.h2.jdbc.JdbcBatchUpdateException

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Iterable<java.lang.Throwable>

      public final class JdbcBatchUpdateException
      extends java.sql.BatchUpdateException

  Represents a batch update database exception.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `printStackTrace()` INTERNAL
    `void` | `printStackTrace(java.io.PrintStream s)` INTERNAL
    `void` | `printStackTrace(java.io.PrintWriter s)` INTERNAL

    - ### Methods inherited from class java.sql.BatchUpdateException

      `getLargeUpdateCounts, getUpdateCounts`

    - ### Methods inherited from class java.sql.SQLException

      `getErrorCode, getNextException, getSQLState, iterator, setNextException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### printStackTrace

          public void printStackTrace()

      INTERNAL
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintWriter s)

      INTERNAL
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`

    - #### printStackTrace

          public void printStackTrace(java.io.PrintStream s)

      INTERNAL
      Overrides:
        `printStackTrace` in class `java.lang.Throwable`